### Type parameters

- #### WorkerOutputVariables

### Hierarchy

- CompleteFn

### Callable

- __call(updatedVariables?: Partial<WorkerOutputVariables>): void

- - Defined in lib/interfaces.ts:9

  #### Parameters

  - ##### Optional updatedVariables: Partial<WorkerOutputVariables>

  #### Returns void

## Index

### Properties

- failure
- success

## Properties

### failure

failure: function

- Defined in lib/interfaces.ts:12

#### Type declaration

- - (errorMessage: string, retries?: undefined | number): void

  - #### Parameters

    - ##### errorMessage: string

    - ##### Optional retries: undefined | number

    #### Returns void

### success

success: function

- Defined in lib/interfaces.ts:11

#### Type declaration

- - (updatedVariables?: Partial<WorkerOutputVariables>): void

  - #### Parameters

    - ##### Optional updatedVariables: Partial<WorkerOutputVariables>

    #### Returns void

Generated using TypeDoc